package jp.co.sds_corp.tool.test;

import java.util.List;

import jp.co.sds_corp.test.BasicTestCase;
import jp.co.sds_corp.util.log.CmnLogFactory;
import jp.co.sds_corp.util.log.CmnLogger;

public class CmdTest extends BasicTestCase
{
	CmnLogger logger = CmnLogFactory.getInstance().getLogger(this);
	Command obj;

	public void setUp() throws Exception {
		super.setUp();
		logger.debug( "setUp" );
		obj = new Command(" 999 ");
	}

	public void testParse() throws Exception {
		List<Command> list = Command.parse("ABC;CDE;999");
		assertEquals("list.size", 3, list.size());
	}

	public void testSet1() throws Exception {
		assertEquals("Input", "999", obj.getInput());
		obj.setInput("ABC");
		assertEquals("Input", "ABC", obj.getInput());
	}

	public void testSet2() throws Exception {
		assertEquals("Command", "999", obj.getCommand());
		obj.setCommand("ABC");
		assertEquals("Command", "ABC", obj.getCommand());
	}

	public void testSet3() throws Exception {
		assertEquals("Replaced", false, obj.isReplaced());
		obj.setReplaced(true);
		assertEquals("Replaced", true, obj.isReplaced());
	}

	public void testReplace() throws Exception {
		assertEquals("Replaced", false, obj.isReplaced());
		obj.replace(" CDE ");
		assertEquals("Input", "999", obj.getInput());
		assertEquals("Command", "CDE", obj.getCommand());
		assertEquals("Replaced", true, obj.isReplaced());
	}

}
